Bug 861839 - Can't turn off empathy once account info is entered
Can't turn off empathy once account info is entered
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-30 23:25 EDT by Steevithak
Modified: 2013-08-01 03:10 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 03:10:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steevithak 2012-09-30 23:25:23 EDT
Description of problem: I rarely use IM services, so I prefer to be logged in only on those occasions when I need to us it. I configured Empathy with my account info and then closed the application. However, the GNOME desktop seems to be preventing me from shutting down Empathy. I continue to get notifications that suggest I'm logged in even when Empathy is apparently not running. A PS shows some Telepathy services running, so I suspect they are related. 

I tried killing the Telepathy processes from the command line but GNOME just restarts them and displays a reconnection notification. I've searched online for information about how to stop GNOME from performing unrequested IM service logins but it appears there is nothing, so I'm assuming this is a bug of some sort. I need to find some way to shut off Empathy/Telepathy/IM services but I'd like to still be able to use it when I want to, as was possible on pre-GNOME-3 versions of Fedora. 


Version-Release number of selected component (if applicable):
empathy-3.4.2.3-1.fc17.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install F17
2. Start empathy and configure an IM account
3. Close empathy
4. Observe IM notifications of chat requests, connections/disconnections, etc. even though empathy is apparently not running
  
Actual results:
Can't turn off IM once account information has been entered

Expected results:
User should be able to start and stop desired programs and services when desired

Additional info:
Comment 1 Brian Pepple 2012-09-30 23:47:15 EDT
This isn't an Empathy bug. GNOME shell in logging you in via the Gnome Online Accounts (which you set-up thru Empathy). To prevent this behaviour, you need to either make you make yourself unavailable in Gnome Shell, or disable the Chat functionality for the accounts you added to Gnome Online Accounts.

Re-assigning to Gnome Shell component.
Comment 2 Steevithak 2012-10-01 11:57:49 EDT
I wondered if it might be a GNOME bug but wasn't sure. Is there any documentation on how to "make yourself unavailable in GNOME shell"? And does that actually prevent IM connection or just connect and set my status to "unavailable"? Part of my worry is that I don't want all that chat software loaded and running when I'm not using it most of the time. I want to be able to turn it off and to easily see whether or not it's running.

Is there documentation somewhere on this stuff? That second thing you mentioned "disable the Chat functionality for the accounts" sounds like what I need but I can't find any way through GNOME to do anything like that. 

It seems like there should be a really obvious checkbox somewhere that says "automatically start chat services and connect to accounts: yes/no" that I could just uncheck but I'm not finding anything like that.
Comment 3 Brian Pepple 2012-10-01 12:24:02 EDT
(In reply to comment #2)
> I wondered if it might be a GNOME bug but wasn't sure. Is there any
> documentation on how to "make yourself unavailable in GNOME shell"? And does
> that actually prevent IM connection or just connect and set my status to
> "unavailable"? Part of my worry is that I don't want all that chat software
> loaded and running when I'm not using it most of the time. I want to be able
> to turn it off and to easily see whether or not it's running.

Click on your name in the upper right corner of Gnome Shell and change your status to Unavailable. This will prevent telepathy from starting/ or stop a running instance.

> Is there documentation somewhere on this stuff? That second thing you
> mentioned "disable the Chat functionality for the accounts" sounds like what
> I need but I can't find any way through GNOME to do anything like that.

Click on you name in the upper right corner, and select the Online Accounts option. Once the Online Account dialog is open, select the appropriate account(s) and you should see an on/off switch next to 'Chat'
Comment 4 Steevithak 2012-10-01 14:05:37 EDT
Ok, changed my status as directed. That looks to have partially fixed it. Ps shows that the telepathy-haze process has stopped and I'm disconnected. However, the telepathy-logger process continues to run. I'd think that should shut down also.

The second part of your suggestion isn't working for me. When I click "Online Accounts" I'm presented with a completely empty dialog box. The white pane on the left, which I assume should list the accounts is empty. The grey pane on the right has only the text "select an account" but nothing I click shows any accounts or other options. When I load empathy however, I can see the accounts I created, so I gather these are two partially independent lists of accounts?
Comment 5 Fedora End Of Life 2013-07-03 21:59:27 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 03:10:11 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.